#!/bin/bash

PK_KEY_PATH="private-cert.p12"
TRUSTED_PATH1="cacert.pem"
TRUSTED_PATH2="public-cert.pem"

echo "======================================="
echo "Capacitacion 23 - Actividad"
xmlsec1 sign --pkcs12  "${PK_KEY_PATH}" --pwd 1234 --output capacitacion23_firmado.xml capacitacion23.xml
xmlsec1 verify --trusted-pem "${TRUSTED_PATH1}" --trusted-pem "${TRUSTED_PATH2}" capacitacion23_firmado.xml

echo "======================================="
echo "Capacitacion 26 - Programa"
xmlsec1 sign --pkcs12  "${PK_KEY_PATH}" --pwd 1234 --output capacitacion26_firmado.xml capacitacion26.xml
xmlsec1 verify --trusted-pem "${TRUSTED_PATH1}" --trusted-pem "${TRUSTED_PATH2}" capacitacion26_firmado.xml

echo "======================================="
echo "Capacitacion 27 - Trabajador Capacitado"
xmlsec1 sign --pkcs12  "${PK_KEY_PATH}" --pwd 1234 --output capacitacion27_firmado.xml capacitacion27.xml
xmlsec1 verify --trusted-pem "${TRUSTED_PATH1}" --trusted-pem "${TRUSTED_PATH2}" capacitacion27_firmado.xml
